Subject: bug#11861: 24.1.1; ido-mode and interactive f

From: Leo Liu <[email-masked]>
Date: Wed, 10 Jul 2013 10:48:33 +0800

On 2013-07-10 04:28 +0800, Michael Brand wrote:
> emacs -q test_2.el -f eval-buffer
>
> test_2.el:
> ;;-----------------------------------------------------------
> (ido-mode 1)
> (ido-everywhere 1)
> (call-interactively 'load-file)
> ;;-----------------------------------------------------------
>
> With 23.3 ido suggests the current buffer which I then can select,
> with 24.1, 24.2 and 24.3 ido suggest the alphabetically first file of
> the current directory, so I have to type the current buffer's file
> name again.

OK, I find a version of emacs 23.1 and was able to reproduce it i.e.
test_2.el is the first item.

But when I load the ido.el in 23.1 with emacs 24.x, test_2.el is no
longer the first item.

Could you check if this is the case for you too?

I am clueless where things might go wrong.

Leo